Search

GlobalSCAPE Knowledge Base

Upgrading EFT Server 5.2 in a cluster to version 6.1 or 6.2

Karla Marsh
EFT Express (SMB) & Enterprise

THE INFORMATION IN THIS ARTICLE APPLIES TO:

  • EFT Server version 5.2 and version 6.1 or 6.2

DISCUSSION

When upgrading EFT Server 5.2 installed in a cluster configuration to version 6.1 or 6.2, please consider the following information:

Before upgrading:

  • Request additional serial numbers, such as for the OpenPGP module, because they are no longer bundled into the server license. Ask your account representative for details.
  • Import any existing ARM text files before you begin the upgrade, as the upgrade will change the ARM schema such that the ARM text files will no longer be importable.
  • Drop all of your ARM indices and let the installer create new ones. A script is available for this.
  • Uninstall the previous versions of DMZG or SAT using "Add/Remove Programs" in the Windows Control Panel before installing the new DMZG or SAT modules. 

During the upgrade:

  • Use the “cluster upgrade” option in the Installer.
  • Install the EFT Server and DMZ Gateway program files on the C: drive, and install the configuration and data files on a shared resource. The 6.1 and 6.2 installers will not properly complete the configuration data path, but if you click Browse, the Open dialog box opens to the correct location (this issue will be fixed in a subsequent release).
  • Select Yes for the first node that you upgrade. Subsequent nodes that are upgraded will not affect ARM, which is configured during the node 1 installation.

After upgrading:

  • Update the EFT Server and DMZ Gateway service names in the Cluster Administrator. After version 5.2, the service name has changed for EFT Server and DMZ Gateway.
  • Open each Event Rule that uses the OpenPGP Action and click Apply to update the rule. Verify that the rule is configured appropriately from an encryption/decryption and signing perspective. You might have to provide the OpenPGP passphrase again. (Changes were made to the OpenPGP module in version 6.1. Reapplying the rule will update the rules with these changes.)
Details
Last Modified: 8 Years Ago
Last Modified By: GlobalSCAPE 5
Type: HOWTO
Article not rated yet.
Article has been viewed 2.5K times.
Options
Also In This Category